Subject: Re: [PATCH 2/2] net: ethernet: cpsw: fix interrupt lookup logic in cpsw_probe()

From: Mugunthan V N <[email-masked]>
Date: Wed, 3 Sep 2014 12:58:54 +0530

On Tuesday 02 September 2014 10:14 PM, Daniel Mack wrote:
> The code in cpsw_probe() currently iterates over the available
> interrupt resources and requests each of them.  While doing so, it
> keeps track of their indices through priv->irqs_table.
> 
> However, the code currently only remembers the last interrupt in
> a resource, and will leak the others if there is more than one.
> This can only happen for board-file driven platforms and not via DT,
> however.
> 
> Also, there is currently no bounds check, while priv->irqs_table is a
> fixed-size array. If we are passed more than 4 resources, we're in
> trouble.
> 
> This patch introduces a bounds check and changes the way interrupt
> indices are kept. Tested on a Beagle Bone Black board only.
> 
> Signed-off-by: Daniel Mack <[email-masked]>

The drivers is not supported for non-DT platforms as all the platforms
which uses CPSW are DT only platforms.

Regards
Mugunthan V N